[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookupComboBox.UTF8KeyPress

Handles UTF-8 characters for the data-aware control.

## Declaration

Source position: dbctrls.pp line 908

`protected procedure TDBLookupComboBox.UTF8KeyPress(`
`var UTF8Key: TUTF8Char`
`); override;`

## Arguments

`UTF8Key` |  | UTF-8-encoded value examined in the method.

## Description

UTF8KeyPress is an overridden method in TDBLookupComboBox. UTF8KeyPress ensures that the value in Key is cleared when the linked dataset cannot be modified, or the control is being used in the "unbound" mode.

UTF8KeyPress calls the inherited method prior to exit.

## See also

TCustomComboBox.UTF8KeyPress |  | UTF8KeyPress converts character case if required then calls the inherited method.